GCLOUD_COMPUTE_INSTANCES_ADD-METADATA(1)

NAME

gcloud compute instances add-metadata - add or update instance metadata

SYNOPSIS

gcloud compute instances add-metadata INSTANCE_NAME [--metadata=KEY=VALUE,[KEY=VALUE,...]] [--metadata-from-file=KEY=LOCAL_FILE_PATH,[KEY=LOCAL_FILE_PATH,...]] [--zone=ZONE] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute instances add-metadata can be used to add or update the metadata of a virtual machine instance. Every instance has access to a metadata server that can be used to query metadata that has been set through this tool. For information on metadata, see https://cloud.google.com/compute/docs/metadata Only metadata keys that are provided are mutated. Existing metadata entries will remain unaffected. In order to retrieve custom metadata, run:
    $ gcloud compute instances describe example-instance --zone us-central1-a --format='value(metadata)'
where example-instance is the name of the virtual machine instance you're querying custom metadata from. For more information about querying custom instance or project metadata through the Cloud Platform Console or the API, see https://cloud.google.com/compute/docs/storing-retrieving-metadata#querying_custom_metadata

POSITIONAL ARGUMENTS

    INSTANCE_NAME
        The name of the instance to set metadata on.

FLAGS

    --metadata=KEY=VALUE,[KEY=VALUE,...]
        Metadata to be made available to the guest operating system running on the instances. Each metadata entry is a key/value pair separated by an equals sign. Metadata keys must be unique and less than 128 bytes in length. Values must be less than or equal to 32,768 bytes in length. Multiple arguments can be passed to this flag, e.g., --metadata key-1=value-1,key-2=value-2,key-3=value-3. In images that have Compute Engine tools installed on them, such as the official images (https://cloud.google.com/compute/docs/images), the following metadata keys have special meanings:

        startup-script
            Specifies a script that will be executed by the instances once they start running. For convenience, --metadata-from-file can be used to pull the value from a file.

        startup-script-url
            Same as startup-script except that the script contents are pulled from a publicly-accessible location on the web.

At least one of [--metadata] or [--metadata-from-file] is required.

    --metadata-from-file=KEY=LOCAL_FILE_PATH,[KEY=LOCAL_FILE_PATH,...]
        Same as --metadata except that the value for the entry will be read from a local file. This is useful for values that are too large such as startup-script contents.

At least one of [--metadata] or [--metadata-from-file] is required.

    --zone=ZONE
        The zone of the instance to set metadata on. If not specified, you may be prompted to select a zone. gcloud will attempt to identify the zone by searching for resources in your project. If the zone cannot be determined, you will then be prompted with all Google Cloud Platform zones. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.